start script for next-share (basic BitTorrent) and start script
for swarm plugin (video-on-demand); sample run cases are displayed
as comments in script files
--- /dev/null
+#!/bin/bash
+
+#
+# Sample run:
+# ./start-next-share ../../testing/torrent-files/fedora13-i386-DVD.torrent
+#
+
+if test $# -ne 1; then
+ echo "Usage: $0 torrent_file"
+ exit 1
+fi
+
+torrent_file=$1
+PYTHONPATH=. python2.5 BaseLib/Tools/cmdlinedl.py $torrent_file
--- /dev/null
+#!/bin/bash
+
+#
+# Sample run:
+# ./start-swarm-plugin ../../testing/torrent-files/madonna-material-girl.avi.torrent
+#
+
+if test $# -ne 1; then
+ echo "Usage: $0 video_torrent_file"
+ exit 1
+fi
+
+video_torrent_file=$1
+PYTHONPATH=. python BaseLib/Player/swarmplayer.py $video_torrent_file